@echo off
echo Cette demo presente la comparaison entre deux alphabets runiques
echo.

echo Cette demo utilise deux fichiers image au format bmp (binaire noir & blanc).
echo Dans un premier temps, convertissons les images au format Eyestar
echo (Le programme cgs ne lit pas encore directement les bmp)
echo Remarque : Les images bmp doivent avoir la tete en bas et 
echo le trace des caracteres doit etre en blanc sur fond noir.
pause

echo Conversion de runesqs.bmp en runesqs.img :   
bmptoimg runesqs.bmp 
echo.

echo Conversion de runesls.bmp en runesls.img :
bmptoimg runesls.bmp 
echo.

echo Voici le fichier runesqs.img qui represente le premier alphabet runique.
echo Vous pouvez utiliser les fleches pour visualiser l'image
echo Appuyez sur "Echap" pour quitter
pause
voir runesqs.img

echo Voici le fichier runesls.img qui represente l'alphabet runique de reference
echo Appuyez sur "Echap" pour quitter
pause
voir runesls.img

echo Procedons a la capture des graphes structurels du premier alphabet
pause
@echo on
del forme.dat
cgs runesqs.ini runesqs.img AUTO
del runesqs.dat
rename forme.dat runesqs.dat
@echo off

echo.
echo Verifions maintenant l'aspect des graphes construits :
echo Pressez la touche Entree pour faire defiler les graphes
echo ou Echap. pour interrompre
echo ou sinon utilisez les boutons gauche et droit de la souris.
echo (Pressez Ctrl-C pour interrompre la demo)
pause
show runesqs.dat

echo Procedons a la capture des graphes structurels de l'alphabet de reference
pause
@echo on
del forme.dat
cgs runesls.ini runesls.img AUTO
del ocrrunes.dat
rename forme.dat ocrrunes.dat
@echo off

echo.
echo Verifions maintenant l'aspect des graphes construits :
echo Pressez la touche Entree pour faire defiler les graphes
echo ou Echap. pour interrompre
echo ou sinon utilisez les boutons gauche et droit de la souris.
echo (Pressez Ctrl-C pour interrompre la demo)
pause
show ocrrunes.dat

echo Procedons maintenant a la reconnaissance du jeu de caracteres
echo Il y a 16 lettres arbitrairement remplacees par les lettres
echo de l'alphabet. L'alphabet de reference contient 2x26 caracteres
echo arbitrairement remplaces par les lettres minucules et majuscules.
echo Deux caracteres n'ont pas de correspondant dans l'alphabet
echo de reference, il ne sont donc pas comptabilise dans le score.
pause
@echo on
del runesqs.txt
del runesqsp.txt
gm runesqs.ini AUTO
@echo off

echo Vous pouvez maintenant consulter les fichiers runesqs.txt et runesqsp.txt
echo runesqs.txt contient le detail de l'ensemble des resultats
pause
edit runesqs.txt

echo runesqsp.txt contient seulement les resultats caractere par caractere
echo avec une plausibilite entre 0 et 9 associee a chacun des caracteres proposes
pause
edit runesqsp.txt

echo La demo est terminee. Merci pour votre attention.
pause
