@echo off
echo Cette demo montre la mesure de l'ambiguite d'un jeu de caracteres
echo runiques pour deceler les caracteres qui se ressemblent
echo.

echo Conversion de runesls.bmp en runesls.img :
bmptoimg runesls.bmp 
echo.

echo Voici le fichier runesls.img qui represente l'alphabet runique
echo Appuyez sur "Echap" pour quitter
pause
voir runesls.img

echo Procedons maintenant a la capture des graphes structurels de l'image
pause
@echo on
del forme.dat
cgs runesls.ini runesls.img AUTO
del ocrrunes.dat
rename forme.dat ocrrunes.dat
@echo off

echo.
echo Vrifions maintenant l'aspect des graphes construits :
echo Pressez la touche Entre pour faire dfiler les graphes
echo ou Echap. pour interrompre
echo ou sinon utilisez les boutons gauche et droit de la souris.
echo (Pressez Ctrl-C pour interrompre la dmo)
pause
show ocrrunes.dat


echo Procdons maintenant  la reconnaissance du jeu de caractres
echo pour mesurer les ambiguites.
echo (il y a 2x26 lettres arbitrairement remplacees par les lettres
echo minuscules et majuscules de l'alphabet)
pause
@echo on
del runesls.txt
del runeslsp.txt
gm runesls.ini AUTO
@echo off

echo Vous pouvez maintenant consulter les fichiers runesls.txt et runeslsp.txt
echo runesls.txt contient le dtail de l'ensemble des rsultats
pause
edit runesls.txt

echo runeslsp.txt contient seulement les rsultats caractre par caractre
echo avec une plausibilit entre 0 et 9 associe  chacun des caractres proposs
pause
edit runeslsp.txt

echo La demo est terminee. Merci pour votre attention.
pause
